#property copyright "Copyright 2020, MetaQuotes Software Corp."
#property link      "https://www.mql5.com"
#property version   "1.00"
#property strict
extern double lotsize;
extern int ma1 =6;
extern int ma2 =18;
extern int ma3 =50;
extern int ma4 =200;

extern double sl;
extern double tp;
extern double risk;
double SL=sl;
double TP=tp;


int minbar =ma1;

bool canbuy;
bool cansell;


int OnInit()
  {

   return(INIT_SUCCEEDED);
  }
void OnDeinit(const int reason)
  {
   
  }
void OnTick()
  {
   
  }
void isthereactiveorder(){
for( int i = 0 ; i < OrdersTotal() ; i++ ) {
      if( OrderSelect( i, SELECT_BY_POS, MODE_TRADES ) == false ) {
         Print("ERROR - Unable to select the order - ",GetLastError());
         break;
      } 
      if( OrderSymbol()==Symbol() && OrderType() == OP_BUY) canbuy=false;
      if( OrderSymbol()==Symbol() && OrderType() == OP_SELL) cansell=false;
      return;
        
}
}
double calculateLotSize(int stopLoss)
{
    // 1% risk per trade
    int risk = 1;
     
    // Fetch some symbol properties
    double lotStep = MarketInfo(Symbol(), MODE_LOTSTEP);
    double minLot  = MarketInfo(Symbol(), MODE_MINLOT); 
    double maxLot  = MarketInfo(Symbol(), MODE_MAXLOT);
    double tickVal = MarketInfo(Symbol(), MODE_TICKVALUE);
 
    // Calculate the actual lot size
    double lotSize = AccountBalance() * risk / 100 / (stopLoss * tickVal);
 
    return MathMin(
        maxLot,
        MathMax(
            minLot,
            NormalizeDouble(lotSize / lotStep, 0) * lotStep 
        )
    ); }

void opennew(int ordertype){
    RefreshRates();
    double openprice=0;
    double closeprice=0;
    double stopp=0;
    double takep=0;
    
    if(ordertype==OP_BUY)(
            openprice=Ask;
            stopp=openprice-sl;
            takep=openprice+tp;
        )
    if(ordertype==OP_SELL){
        openprice=Bid;
            stopp=openprice+sl;
            takep=openprice-tp;
    }
    OrderSend(Symbol(),ordertype ,calculateLotSize(sl*10),openprice,10,NormalizeDouble(stopp,Digits),NormalizeDouble(takep,Digits),NULL,0,0,clrBlue);
     
    return;
}